Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.genericasync.exception
Class GenAsyncBusinessConnectorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              be.ehealth.technicalconnector.exception.ConnectorException
                  be.ehealth.businessconnector.genericasync.exception.GenAsyncBusinessConnectorException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  GenAsyncSignatureValidationConnectorException

    public class GenAsyncBusinessConnectorException

extends ConnectorException

Connector Exception for Generic Async Connector.

See Also:
  Serialized Form

Constructor Summary
`GenAsyncBusinessConnectorException(GenAsyncBusinessConnectorExceptionValues errorCodeValue)` builder
`GenAsyncBusinessConnectorException(GenAsyncBusinessConnectorExceptionValues errorCodeValue, Object... params)` builder
`GenAsyncBusinessConnectorException(GenAsyncBusinessConnectorExceptionValues errorCodeValue, Throwable e, Object... params)` builder

Method Summary

Methods inherited from class be.ehealth.technicalconnector.exception.ConnectorException
`getErrorCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GenAsyncBusinessConnectorException

    public GenAsyncBusinessConnectorException(GenAsyncBusinessConnectorExceptionValues errorCodeValue,
                                              Object... params)

  builder

  Parameters:
    `errorCodeValue` -
    `params` -

### GenAsyncBusinessConnectorException

    public GenAsyncBusinessConnectorException(GenAsyncBusinessConnectorExceptionValues errorCodeValue)

  builder

  Parameters:
    `errorCodeValue` -

### GenAsyncBusinessConnectorException

    public GenAsyncBusinessConnectorException(GenAsyncBusinessConnectorExceptionValues errorCodeValue,
                                              Throwable e,
                                              Object... params)

  builder

  Parameters:
    `errorCodeValue` -
    `e` -
    `params` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.